/*
 *  JacquetBlondelY.cc
 *  Rivet
 *
 *  Created by James Monk on 08/01/2009.
 *
 */

#include "Rivet/Projections/JacquetBlondelY.hh"

namespace Rivet {
 
  void JacquetBlondelY::project(const Event &evt){
   
    const DISLepton & lepton = applyProjection<DISLepton>(evt, "DISLepton");
    
    double pzIn = lepton.in().momentum().pz();
    double pzOut = lepton.out().momentum().pz();
    
    _y = fabs(pzIn - pzOut) / pzOut;
    
    return;
  }
  
  int JacquetBlondelY::compare(const Projection &p) const{
    const JacquetBlondelY &other = pcast<JacquetBlondelY>(p);
    return mkNamedPCmp(other, "DISLepton");
  }
  
  
}


